ome-files 0.2.2

Public Member Functions | Public Attributes | List of all members
ome::files::PlaneRegion Struct Reference

A rectangular region. More...

`#include <ome/files/PlaneRegion.h>`

## Public Member Functions
| PlaneRegion ()
| Default construct. More...
bool | valid () const
| Is the region valid? More...
| PlaneRegion (dimension_size_type x, dimension_size_type y, dimension_size_type w, dimension_size_type h)
| Construct from coordinates, width and height. More...
dimension_size_type | area () const
| Get area. More...

## Public Attributes
dimension_size_type | x
| The `X` coordinate of the upper-left corner of the region.
dimension_size_type | y
| The `Y` coordinate of the upper-left corner of the region.
dimension_size_type | w
| The width of the region.
dimension_size_type | h
| The height of the region.

## Detailed Description

A rectangular region.

The region is specified by top-left (x,y) coordinates plus width and height.

## Constructor & Destructor Documentation

## § PlaneRegion() [1/2]

ome::files::PlaneRegion::PlaneRegion | ( |  | ) |
| inline

Default construct.

By default the region has zero width and height.

Referenced by ome::files::operator &(), and ome::files::operator|().

Here is the caller graph for this function:

## § PlaneRegion() [2/2]

ome::files::PlaneRegion::PlaneRegion | ( | dimension_size_type | x,
|  | dimension_size_type | y,
|  | dimension_size_type | w,
|  | dimension_size_type | h
| ) |  |
| inline

Construct from coordinates, width and height.

Parameters

  x | the `X` coordinate of the upper-left corner of the region.
  y | the `Y` coordinate of the upper-left corner of the region.
  w | the width of the region.
  h | the height of the region.

## Member Function Documentation

## § area()

dimension_size_type ome::files::PlaneRegion::area | ( |  | ) | const
| inline

Get area.

Returns
  the covered area.

References h.

Referenced by ome::files::TileCoverage::coverage().

Here is the caller graph for this function:

## § valid()

bool ome::files::PlaneRegion::valid | ( |  | ) | const
| inline

Is the region valid?

Returns
  `true` if the region has a nonzero width and height, `false` otherwise.

References h.

Referenced by ome::files::TileCoverage::coverage(), and ome::files::TileCoverage::insert().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- ome/files/PlaneRegion.h